import request from "@/common/request";

export default {
    productList(data?: any) {
        return request({
            url: "/api/product/list",
            data,
        });
    },
    sortAndSearch(data?: any) {
        return request({
            url: "/api/index/sortAndSearch",
            data,
        });
    },
    getBrandList(data?: any) {
        return request({
            url: "/api/brand/index",
            data,
        });
    },
    getBrandOtherInfo(data?: any) {
        return request({
            url: "/api/brand/otherInfo",
            data,
        });
    },
    brandFav(data?: any) {
        return request({
            url: "/api/fav/brand/fav",
            data,
        });
    },
    brandDel(data?: any) {
        return request({
            url: "/api/fav/brand/del",
            data,
        });
    },
};
